Summary:        Perl module that opens a file and performs automatic charset detection
Name:           perl-IO-HTML
Version:        1.004
Release:        6%{?dist}
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/IO-HTML
Source0:        https://cpan.metacpan.org/authors/id/C/CJ/CJM/IO-HTML-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(:VERSION) >= 5.8, perl(ExtUtils::MakeMaker) >= 6.76, perl(strict), perl(warnings)
# Run-time:
BuildRequires:  perl(Carp), perl(Encode) >= 2.10, perl(Exporter) >= 5.57
# Tests:
BuildRequires:  perl(File::Temp), perl(Scalar::Util), perl(Test::More) >= 0.88

%description
IO-HTML is a Perl module that opens a file and performs automatic charset 
detection based on the HTML5 algorithm.



%prep
%autosetup -n IO-HTML-%{version} -p1



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
make install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*



%check
make test



%files
%license LICENSE
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.004-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.004-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.004-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.004-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.004-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.004-1
- Initial building.
